<?php
    $strOutput .=  "<div class='listview'>\n";

    $strOutput .=  "<style>.grid-item.albums{ width: " . $thumb_size . "px !important; }</style>\n";

    $intColumnWidth = $thumb_size + 20;

    /*
        echo "on grid<br>";
        echo '<pre>';
        print_r($hide_albums);
        echo '</pre>';
    */

    // Init masonry 
    $strOutput .= "<div class='grid js-masonry' data-masonry-options='{ \"itemSelector\": \".grid-item\", \"columnWidth\": ".$intColumnWidth.", \"isOriginLeft\": true, \"isFitWidth\": true }'>\n";

    if( $xml === false ) {
        echo 'Sorry there has been a problem with your feed.';
    } else {

        $xml->registerXPathNamespace('gphoto', 'http://schemas.google.com/photos/2007');
        $xml->registerXPathNamespace('media', 'http://search.yahoo.com/mrss/');

        // register namespace to get access to total number of albums found
        $xml->registerXPathNamespace('opensearch', 'http://a9.com/-/spec/opensearch/1.1/');
        $totalResults = $xml->xpath( "opensearch:totalResults" );
        $total_num_albums = $totalResults[0];
    /*
        foreach( $totalResults as $total_num_albums ){
            //echo "totalResults: $total_num_albums<br>";
            //$total_num_albums = $val;
        }
    */

        // loop over the albums
        foreach( $xml->entry as $feed ) {

            // get the data we need
            $title = $feed->title;

            // do not display if album name has been hidden
            if( !in_array( $title, $hide_albums ) ) {

                $gphoto = $feed->children( 'http://schemas.google.com/photos/2007' );
                $num_photos = $gphoto->numphotos; 
                $published = $feed->published; 
                $published = trim( $published );
                $published = substr( $published, 0, 10 );      

                $group = $feed->xpath( './media:group/media:thumbnail' );
                $a = $group[0]->attributes(); // we need thumbnail path
                $id = $feed->xpath( './gphoto:id' ); // and album id for our thumbnail

                $strOutput .= "<div class='thumbnail grid-item albums' style=\"" . $thumb_size . "\">\n";
                    $strOutput .=  "<div class='thumbimage'>\n";

                    if ( get_option( 'permalink_structure' ) ) { 
                        $strOutput .=  "<a href='" . $results_page . "?cws_album=$id[0]&cws_album_title=$title'><img alt='$title' src='$a[0]' title='$title' /></a>\n";
                    } else {
                        $strOutput .=  "<a href='" . $results_page . "&cws_album=$id[0]&cws_album_title=$title'><img alt='$title' src='$a[0]' title='$title' /></a>\n";
                    }

                    $strOutput .=  "</div>\n"; // End .thumbimage

                    if( $show_details || $show_title ) {
                        $strOutput .=  "<div class='details'><ul>\n";
                    }

                    if ( $show_title ) {
                        $strOutput .=  "<li class='title'><a href='" .$results_page . "?cws_album=$id[0]'>$title</a></li>\n";
                    }

                    if ( $show_details ) {
                       
                        //$strOutput .=  "<ul>\n";

                        $strOutput .= "<li>Published: $published";
                        $strOutput .= "<li>Images: $num_photos";

                        /*if ( $desc != "" ) { 
                            $strOutput .= " $desc ";
                        }*/
                        /*
                        if ( $location != "" ) {
                            $strOutput .= " $location </li>\n";
                        }*/
                    }

                    if( $show_details || $show_title ) {
                        $strOutput .=  "</ul>\n";
                        $strOutput .=  "</div>\n"; // End .details
                    }


                $strOutput .=  "</div>\n"; // End .thumbnail
            } // end do not display
        }

    } // end else

    $strOutput .=  "</div>\n"; // End .grid